name: checkout

on: 
  push:
    tags:
      - '*'

jobs:
  checkout:
    runs-on: ubuntu-latest:docker://docker.gitea.com/runner-images:ubuntu-latest
    container:
      image: git.phyllo.me/roots/fedora-iso-creation:42
    steps:
    - uses: https://git.phyllo.me/actions/checkout@v4
    - name: Setup tmate session
    - uses: https://github.com/mxschmitt/action-tmate@v3